﻿using System;
using System.Reflection;
using WindowsLive.Writer.Api;

namespace CopyrightPlugin
{
    public class Option
    {
        public string Name { get; set; }
        public string Value { get; set; }
        public Option()
        {
            Name = "template";
        }
        public Option Clone()
        {
            return (Option)base.MemberwiseClone();
        }
    }

    static class Utility
    {
        public static Option ReadOptionsFromStorage(IProperties props)
        {
            Option o = new Option();
            o.Value = props.GetString(o.Name, "");
            return o;
        }
  
        public static void WriteOptionsToStorage(IProperties props, Option option)
        {
            props.SetString(option.Name,option.Value);
        }
    } 
}
