﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace CopyrightPlugin
{
    public partial class OptionForm : Form
    {
        private Option _option;

        public OptionForm(Option option)
        {
            this._option = option.Clone();            
            InitializeComponent();
            this.rtf.Text = this._option.Value;
        }

        private void btnOk_Click(object sender, EventArgs e)
        {
            base.DialogResult = DialogResult.OK;
            _option.Value = rtf.Text;
            base.Close();
        }

        private void btnCancel_Click(object sender, EventArgs e)
        {
            base.DialogResult = DialogResult.Cancel;
            base.Close();
        }

        public Option Option
        {
            get
            {
                return this._option;
            }
        }

    }
}
